---
title: RTCPeerConnection.sctp
slug: Web/API/RTCPeerConnection/sctp
tags:
  - Experimental
  - Property
  - RTCPeerConnection
  - Reference
  - SCTP
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The read-only <strong><code>sctp</code></strong> property on the {{domxref("RTCPeerConnection")}} interface returns an {{domxref("RTCSctpTransport")}} describing the {{Glossary("SCTP")}} transport over which SCTP data is being sent and received. If SCTP hasn't been negotiated, this value is <code>null</code>.</p>

<p>The SCTP transport is used for transmitting and receiving data for any and all {{domxref("RTCDataChannel")}}s on the peer connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>sctp</em> = <em>RTCPeerConnection</em>.sctp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("RTCSctpTransport")}} object describing the SCTP transport being used by the {{domxref("RTCPeerConnection")}} for transmitting and receiving on its data channels, or <code>null</code> if SCTP negotiation hasn't happened.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc = new RTCPeerConnection();

var channel = pc.createDataChannel("Mydata");
channel.onopen = function(event) {
  channel.send('sending a message');
}
channel.onmessage = function(event) {
  console.log(event.data);
}

// Determine the largest message size that can be sent

var sctp = pc.sctp;
var maxMessageSize = sctp.maxMessageSize;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcpeerconnection-sctp', 'RTCPeerConnection.sctp') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.sctp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>{{domxref("RTCPeerConnection")}}</li>
 <li>{{domxref("RTCDataChannel")}}</li>
 <li>{{Glossary("SCTP")}}</li>
</ul>
